<component name="ProjectCodeStyleConfiguration">
  <code_scheme name="Project" version="173">
    <option name="OTHER_INDENT_OPTIONS">
      <value>
        <option name="INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </value>
    </option>
    <option name="DO_NOT_FORMAT">
      <list>
        <fileSet type="globPattern" pattern="*.handlebars" />
        <fileSet type="globPattern" pattern="*.hbs" />
      </list>
    </option>
    <HTMLCodeStyleSettings>
      <option name="HTML_TEXT_WRAP" value="0" />
      <option name="HTML_SPACE_INSIDE_EMPTY_TAG" value="true" />
    </HTMLCodeStyleSettings>
    <JSCodeStyleSettings version="0">
      <option name="FORCE_SEMICOLON_STYLE" value="true" />
      <option name="SPACE_WITHIN_ARRAY_INITIALIZER_BRACKETS" value="true" />
      <option name="SPACE_BEFORE_FUNCTION_LEFT_PARENTH" value="false" />
      <option name="REFORMAT_C_STYLE_COMMENTS" value="true" />
      <option name="USE_DOUBLE_QUOTES" value="false" />
      <option name="FORCE_QUOTE_STYlE" value="true" />
      <option name="ENFORCE_TRAILING_COMMA" value="Remove" />
      <option name="OBJECT_LITERAL_WRAP" value="2" />
      <option name="IMPORTS_WRAP" value="2" />
      <option name="SPACES_WITHIN_OBJECT_LITERAL_BRACES" value="true" />
      <option name="SPACES_WITHIN_IMPORTS" value="true" />
      <option name="USE_CHAINED_CALLS_GROUP_INDENTS" value="true" />
      <option name="SPACES_WITHIN_INTERPOLATION_EXPRESSIONS" value="true" />
    </JSCodeStyleSettings>
    <SqlCodeStyleSettings version="6">
      <option name="KEYWORD_CASE" value="2" />
      <option name="IDENTIFIER_CASE" value="1" />
      <option name="TYPE_CASE" value="3" />
      <option name="QUERY_SECTION_1ST_WORD_ALIGN" value="2" />
      <option name="QUERY_EL_LINE" value="101" />
      <option name="INSERT_INTO_NL" value="2" />
      <option name="INSERT_CONTENT" value="3" />
      <option name="INSERT_CLOSING" value="6" />
      <option name="INSERT_EL_WRAP" value="1" />
      <option name="EXPR_CASE_THEN_ALIGN" value="true" />
      <option name="EXPR_CASE_ELSE_ALIGN_THEN" value="true" />
    </SqlCodeStyleSettings>
    <TypeScriptCodeStyleSettings version="0">
      <option name="FORCE_SEMICOLON_STYLE" value="true" />
      <option name="SPACE_WITHIN_ARRAY_INITIALIZER_BRACKETS" value="true" />
      <option name="SPACE_BEFORE_FUNCTION_LEFT_PARENTH" value="false" />
      <option name="REFORMAT_C_STYLE_COMMENTS" value="true" />
      <option name="USE_DOUBLE_QUOTES" value="false" />
      <option name="FORCE_QUOTE_STYlE" value="true" />
      <option name="ENFORCE_TRAILING_COMMA" value="Remove" />
      <option name="OBJECT_LITERAL_WRAP" value="2" />
      <option name="OBJECT_TYPES_WRAP" value="1" />
      <option name="IMPORTS_WRAP" value="2" />
      <option name="UNION_TYPES_WRAP" value="1" />
      <option name="SPACES_WITHIN_OBJECT_LITERAL_BRACES" value="true" />
      <option name="SPACES_WITHIN_IMPORTS" value="true" />
      <option name="USE_CHAINED_CALLS_GROUP_INDENTS" value="true" />
      <option name="SPACES_WITHIN_INTERPOLATION_EXPRESSIONS" value="true" />
      <option name="IMPORT_SORT_MODULE_NAME" value="true" />
      <option name="BLACKLIST_IMPORTS" value="rxjs/Rx,node_modules/**,**/node_modules/**,@angular/material,@angular/material/typings/**,nx/**,@angular/flex-layout/_private-utils/**,typedoc/dist/**" />
    </TypeScriptCodeStyleSettings>
    <VueCodeStyleSettings>
      <option name="INTERPOLATION_NEW_LINE_AFTER_START_DELIMITER" value="false" />
      <option name="INTERPOLATION_NEW_LINE_BEFORE_END_DELIMITER" value="false" />
    </VueCodeStyleSettings>
    <editorconfig>
      <option name="ENABLED" value="false" />
    </editorconfig>
    <codeStyleSettings language="HTML">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="JSON">
      <indentOptions>
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="JavaScript">
      <option name="ALIGN_MULTILINE_PARAMETERS" value="false" />
      <option name="ALIGN_MULTILINE_BINARY_OPERATION" value="true" />
      <option name="ALIGN_MULTILINE_TERNARY_OPERATION" value="true" />
      <option name="ALIGN_MULTILINE_EXTENDS_LIST" value="true" />
      <option name="ALIGN_MULTILINE_ARRAY_INITIALIZER_EXPRESSION" value="true" />
      <option name="CALL_PARAMETERS_WRAP" value="2" />
      <option name="CALL_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="CALL_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_WRAP" value="2" />
      <option name="METHOD_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="EXTENDS_LIST_WRAP" value="1" />
      <option name="EXTENDS_KEYWORD_WRAP" value="1" />
      <option name="METHOD_CALL_CHAIN_WRAP" value="2" />
      <option name="PARENTHESES_EXPRESSION_LPAREN_WRAP" value="true" />
      <option name="PARENTHESES_EXPRESSION_RPAREN_WRAP" value="true" />
      <option name="BINARY_OPERATION_WRAP" value="1" />
      <option name="TERNARY_OPERATION_WRAP" value="1" />
      <option name="KEEP_SIMPLE_BLOCKS_IN_ONE_LINE" value="true" />
      <option name="KEEP_SIMPLE_METHODS_IN_ONE_LINE" value="true" />
      <option name="FOR_STATEMENT_WRAP" value="1" />
      <option name="FOR_STATEMENT_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="FOR_STATEMENT_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_WRAP" value="1" />
      <option name="ARRAY_INITIALIZER_LBRACE_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_RBRACE_ON_NEXT_LINE" value="true" />
      <option name="ASSIGNMENT_WRAP" value="1" />
      <option name="PLACE_ASSIGNMENT_SIGN_ON_NEXT_LINE" value="true" />
      <option name="IF_BRACE_FORCE" value="3" />
      <option name="DOWHILE_BRACE_FORCE" value="3" />
      <option name="WHILE_BRACE_FORCE" value="3" />
      <option name="FOR_BRACE_FORCE" value="3" />
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="SCSS">
      <indentOptions>
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="SQL">
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="4" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="TypeScript">
      <option name="ALIGN_MULTILINE_PARAMETERS" value="false" />
      <option name="ALIGN_MULTILINE_BINARY_OPERATION" value="true" />
      <option name="ALIGN_MULTILINE_TERNARY_OPERATION" value="true" />
      <option name="ALIGN_MULTILINE_EXTENDS_LIST" value="true" />
      <option name="ALIGN_MULTILINE_ARRAY_INITIALIZER_EXPRESSION" value="true" />
      <option name="CALL_PARAMETERS_WRAP" value="1" />
      <option name="CALL_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="CALL_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_WRAP" value="1" />
      <option name="METHOD_PARAMETERS_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="METHOD_PARAMETERS_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="EXTENDS_LIST_WRAP" value="1" />
      <option name="EXTENDS_KEYWORD_WRAP" value="1" />
      <option name="PARENTHESES_EXPRESSION_LPAREN_WRAP" value="true" />
      <option name="PARENTHESES_EXPRESSION_RPAREN_WRAP" value="true" />
      <option name="BINARY_OPERATION_WRAP" value="1" />
      <option name="TERNARY_OPERATION_WRAP" value="1" />
      <option name="KEEP_SIMPLE_BLOCKS_IN_ONE_LINE" value="true" />
      <option name="KEEP_SIMPLE_METHODS_IN_ONE_LINE" value="true" />
      <option name="FOR_STATEMENT_WRAP" value="1" />
      <option name="FOR_STATEMENT_LPAREN_ON_NEXT_LINE" value="true" />
      <option name="FOR_STATEMENT_RPAREN_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_WRAP" value="1" />
      <option name="ARRAY_INITIALIZER_LBRACE_ON_NEXT_LINE" value="true" />
      <option name="ARRAY_INITIALIZER_RBRACE_ON_NEXT_LINE" value="true" />
      <option name="ASSIGNMENT_WRAP" value="1" />
      <option name="PLACE_ASSIGNMENT_SIGN_ON_NEXT_LINE" value="true" />
      <option name="IF_BRACE_FORCE" value="3" />
      <option name="DOWHILE_BRACE_FORCE" value="3" />
      <option name="WHILE_BRACE_FORCE" value="3" />
      <option name="FOR_BRACE_FORCE" value="3" />
      <option name="ENUM_CONSTANTS_WRAP" value="1" />
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="INDENT_SIZE" value="2" />
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
        <option name="TAB_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
    <codeStyleSettings language="Vue">
      <option name="SOFT_MARGINS" value="80" />
      <indentOptions>
        <option name="CONTINUATION_INDENT_SIZE" value="2" />
      </indentOptions>
    </codeStyleSettings>
  </code_scheme>
</component>